Bug 22544 - Move C4:NewsChannels to Koha namespace
Summary: Move C4:NewsChannels to Koha namespace
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 22318 27714
Blocks: 15449 24387 27451 28717 28718
  Show dependency treegraph
 
Reported: 2019-03-20 07:44 UTC by Josef Moravec
Modified: 2021-12-23 06:34 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 22544: Move get_opac_new to Koha namespace (5.71 KB, patch)
2019-03-20 07:48 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move get_opac_news to Koha namespace (10.61 KB, patch)
2019-03-20 07:48 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move del_opac_new to Koha namespace (1.47 KB, patch)
2019-03-20 07:49 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move upd_opac_new to Koha namespace (3.84 KB, patch)
2019-03-20 07:49 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move add_opac_item to Koha namespace (5.70 KB, patch)
2019-03-20 07:49 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move GetNewsToDisplay to Koha namespace (18.65 KB, patch)
2019-03-20 07:49 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Add tests (9.69 KB, patch)
2019-03-20 11:20 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Refactor searching of news items (9.61 KB, patch)
2019-03-20 11:20 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move get_opac_new to Koha namespace (5.70 KB, patch)
2019-05-27 07:36 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move get_opac_news to Koha namespace (10.58 KB, patch)
2019-05-27 07:36 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move del_opac_new to Koha namespace (1.47 KB, patch)
2019-05-27 07:36 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move upd_opac_new to Koha namespace (3.83 KB, patch)
2019-05-27 07:36 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move add_opac_item to Koha namespace (5.69 KB, patch)
2019-05-27 07:36 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move GetNewsToDisplay to Koha namespace (18.98 KB, patch)
2019-05-27 07:36 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Add tests (9.68 KB, patch)
2019-05-27 07:36 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Refactor searching of news items (9.45 KB, patch)
2019-05-27 07:36 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move get_opac_new to Koha namespace (5.71 KB, patch)
2019-08-05 14:35 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Move get_opac_news to Koha namespace (10.88 KB, patch)
2019-08-05 14:35 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Move del_opac_new to Koha namespace (1.47 KB, patch)
2019-08-05 14:35 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Move upd_opac_new to Koha namespace (3.84 KB, patch)
2019-08-05 14:35 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Move add_opac_item to Koha namespace (5.70 KB, patch)
2019-08-05 14:35 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Move GetNewsToDisplay to Koha namespace (19.05 KB, patch)
2019-08-05 14:35 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Add tests (9.69 KB, patch)
2019-08-05 14:36 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Refactor searching of news items (9.00 KB, patch)
2019-08-05 14:36 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Move GetNewsToDisplay to Koha namespace (19.00 KB, patch)
2019-11-20 13:29 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Add tests (9.69 KB, patch)
2019-11-20 13:29 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Refactor searching of news items (9.00 KB, patch)
2019-11-20 13:29 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Move get_opac_new to Koha namespace (5.76 KB, patch)
2019-11-20 22:10 UTC, David Nind
Details | Diff | Splinter Review
Bug 22544: Move get_opac_news to Koha namespace (10.92 KB, patch)
2019-11-20 22:10 UTC, David Nind
Details | Diff | Splinter Review
Bug 22544: Move del_opac_new to Koha namespace (1.52 KB, patch)
2019-11-20 22:10 UTC, David Nind
Details | Diff | Splinter Review
Bug 22544: Move upd_opac_new to Koha namespace (3.88 KB, patch)
2019-11-20 22:10 UTC, David Nind
Details | Diff | Splinter Review
Bug 22544: Move add_opac_item to Koha namespace (5.75 KB, patch)
2019-11-20 22:10 UTC, David Nind
Details | Diff | Splinter Review
Bug 22544: Move GetNewsToDisplay to Koha namespace (19.05 KB, patch)
2019-11-20 22:11 UTC, David Nind
Details | Diff | Splinter Review
Bug 22544: Add tests (9.74 KB, patch)
2019-11-20 22:11 UTC, David Nind
Details | Diff | Splinter Review
Bug 22544: Refactor searching of news items (9.04 KB, patch)
2019-11-20 22:11 UTC, David Nind
Details | Diff | Splinter Review
Bug 22544: Move get_opac_new to Koha namespace (5.76 KB, patch)
2020-03-02 07:06 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move get_opac_news to Koha namespace (10.92 KB, patch)
2020-03-02 07:06 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move del_opac_new to Koha namespace (1.52 KB, patch)
2020-03-02 07:06 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move upd_opac_new to Koha namespace (3.88 KB, patch)
2020-03-02 07:06 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move add_opac_item to Koha namespace (5.75 KB, patch)
2020-03-02 07:06 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move GetNewsToDisplay to Koha namespace (19.18 KB, patch)
2020-03-02 07:06 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Add tests (9.74 KB, patch)
2020-03-02 07:06 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Refactor searching of news items (9.16 KB, patch)
2020-03-02 07:06 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: (QA follow-up) Fix spelling (3.29 KB, patch)
2020-03-02 07:06 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move get_opac_new to Koha namespace (5.75 KB, patch)
2020-05-02 09:05 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move get_opac_news to Koha namespace (10.89 KB, patch)
2020-05-02 09:05 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move del_opac_new to Koha namespace (1.52 KB, patch)
2020-05-02 09:05 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move upd_opac_new to Koha namespace (3.88 KB, patch)
2020-05-02 09:05 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move add_opac_item to Koha namespace (5.73 KB, patch)
2020-05-02 09:05 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move GetNewsToDisplay to Koha namespace (18.91 KB, patch)
2020-05-02 09:05 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Add tests (9.73 KB, patch)
2020-05-02 09:05 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Refactor searching of news items (9.01 KB, patch)
2020-05-02 09:06 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: (QA follow-up) Fix spelling (3.29 KB, patch)
2020-05-02 09:06 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move get_opac_new to Koha namespace (5.62 KB, patch)
2020-10-01 05:12 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move get_opac_news to Koha namespace (10.96 KB, patch)
2020-10-01 05:12 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move del_opac_new to Koha namespace (1.52 KB, patch)
2020-10-01 05:12 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move upd_opac_new to Koha namespace (3.96 KB, patch)
2020-10-01 05:12 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move add_opac_item to Koha namespace (5.82 KB, patch)
2020-10-01 05:12 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move GetNewsToDisplay to Koha namespace (18.67 KB, patch)
2020-10-01 05:12 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Add tests (9.74 KB, patch)
2020-10-01 05:12 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Refactor searching of news items (9.16 KB, patch)
2020-10-01 05:12 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: (QA follow-up) Fix spelling (3.29 KB, patch)
2020-10-01 05:13 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Update to current codebase (8.21 KB, patch)
2020-10-01 05:13 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Update search_for_display to be able to take more types (2.10 KB, patch)
2020-10-01 05:13 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Fix filtering by location on tools -> news management (1.15 KB, patch)
2020-10-01 05:39 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move get_opac_new to Koha namespace (5.62 KB, patch)
2021-01-14 11:33 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move get_opac_news to Koha namespace (10.86 KB, patch)
2021-01-14 11:33 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move del_opac_new to Koha namespace (1.52 KB, patch)
2021-01-14 11:33 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move upd_opac_new to Koha namespace (3.96 KB, patch)
2021-01-14 11:33 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move add_opac_item to Koha namespace (5.82 KB, patch)
2021-01-14 11:33 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Move GetNewsToDisplay to Koha namespace (18.93 KB, patch)
2021-01-14 11:33 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Add tests (9.96 KB, patch)
2021-01-14 11:33 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Refactor searching of news items (9.16 KB, patch)
2021-01-14 11:34 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: (QA follow-up) Fix spelling (3.29 KB, patch)
2021-01-14 11:34 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Update to current codebase (7.17 KB, patch)
2021-01-14 11:34 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Update search_for_display to be able to take more types (2.10 KB, patch)
2021-01-14 11:34 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Fix filtering by location on tools -> news management (1.15 KB, patch)
2021-01-14 11:34 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Fix NewsItem::author (796 bytes, patch)
2021-01-16 16:31 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Clarify documentation and change param 'type' to 'location' (7.38 KB, patch)
2021-01-19 08:45 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Enhance exception description (881 bytes, patch)
2021-01-19 08:45 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Add default language value to KohaNews template plugin (829 bytes, patch)
2021-01-19 08:45 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: Use template plugin for news author display (4.50 KB, patch)
2021-01-19 08:45 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22544: TT plugin should return hashref only if news exist (1.68 KB, patch)
2021-02-17 11:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Fix OpacLoginInstructions (3.29 KB, patch)
2021-02-17 11:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Restore newdate and timestamp for slip notices (1.05 KB, patch)
2021-02-17 11:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Move get_opac_new to Koha namespace (5.60 KB, patch)
2021-03-02 09:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Move get_opac_news to Koha namespace (10.81 KB, patch)
2021-03-02 09:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Move del_opac_new to Koha namespace (1.52 KB, patch)
2021-03-02 09:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Move upd_opac_new to Koha namespace (3.95 KB, patch)
2021-03-02 09:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Move add_opac_item to Koha namespace (5.80 KB, patch)
2021-03-02 09:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Move GetNewsToDisplay to Koha namespace (18.86 KB, patch)
2021-03-02 09:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Add tests (9.12 KB, patch)
2021-03-02 09:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Refactor searching of news items (9.11 KB, patch)
2021-03-02 09:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: (QA follow-up) Fix spelling (3.29 KB, patch)
2021-03-02 09:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Update to current codebase (7.14 KB, patch)
2021-03-02 09:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Update search_for_display to be able to take more types (2.10 KB, patch)
2021-03-02 09:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Fix filtering by location on tools -> news management (1.15 KB, patch)
2021-03-02 09:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Clarify documentation and change param 'type' to 'location' (7.38 KB, patch)
2021-03-02 09:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Enhance exception description (881 bytes, patch)
2021-03-02 09:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Add default language value to KohaNews template plugin (829 bytes, patch)
2021-03-02 09:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Use template plugin for news author display (4.50 KB, patch)
2021-03-02 09:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: TT plugin should return hashref only if news exist (1.68 KB, patch)
2021-03-02 09:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Fix OpacLoginInstructions (3.29 KB, patch)
2021-03-02 09:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Restore newdate and timestamp for slip notices (1.05 KB, patch)
2021-03-02 09:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Move get_opac_new to Koha namespace (5.60 KB, patch)
2021-03-10 17:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Move get_opac_news to Koha namespace (10.81 KB, patch)
2021-03-10 17:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Move del_opac_new to Koha namespace (1.52 KB, patch)
2021-03-10 17:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Move upd_opac_new to Koha namespace (3.95 KB, patch)
2021-03-10 17:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Move add_opac_item to Koha namespace (5.80 KB, patch)
2021-03-10 17:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Move GetNewsToDisplay to Koha namespace (18.87 KB, patch)
2021-03-10 17:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Add tests (9.12 KB, patch)
2021-03-10 17:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Refactor searching of news items (9.11 KB, patch)
2021-03-10 17:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: (QA follow-up) Fix spelling (3.29 KB, patch)
2021-03-10 17:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Update to current codebase (7.14 KB, patch)
2021-03-10 17:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Update search_for_display to be able to take more types (2.10 KB, patch)
2021-03-10 17:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Fix filtering by location on tools -> news management (1.15 KB, patch)
2021-03-10 17:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Clarify documentation and change param 'type' to 'location' (7.38 KB, patch)
2021-03-10 17:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Enhance exception description (881 bytes, patch)
2021-03-10 17:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Add default language value to KohaNews template plugin (829 bytes, patch)
2021-03-10 17:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Use template plugin for news author display (4.50 KB, patch)
2021-03-10 17:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: TT plugin should return hashref only if news exist (1.68 KB, patch)
2021-03-10 17:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Fix OpacLoginInstructions (3.29 KB, patch)
2021-03-10 17:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Restore newdate and timestamp for slip notices (1.05 KB, patch)
2021-03-10 17:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: fix count call - to squash (804 bytes, patch)
2021-03-10 17:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Move get_opac_new to Koha namespace (5.67 KB, patch)
2021-03-11 09:22 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22544: Move get_opac_news to Koha namespace (10.87 KB, patch)
2021-03-11 09:22 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22544: Move del_opac_new to Koha namespace (1.58 KB, patch)
2021-03-11 09:22 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22544: Move upd_opac_new to Koha namespace (4.01 KB, patch)
2021-03-11 09:22 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22544: Move add_opac_item to Koha namespace (5.87 KB, patch)
2021-03-11 09:22 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22544: Move GetNewsToDisplay to Koha namespace (18.94 KB, patch)
2021-03-11 09:22 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22544: Add tests (9.19 KB, patch)
2021-03-11 09:22 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22544: Refactor searching of news items (9.18 KB, patch)
2021-03-11 09:22 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22544: (QA follow-up) Fix spelling (3.35 KB, patch)
2021-03-11 09:22 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22544: Update to current codebase (7.20 KB, patch)
2021-03-11 09:22 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22544: Update search_for_display to be able to take more types (2.16 KB, patch)
2021-03-11 09:23 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22544: Fix filtering by location on tools -> news management (1.21 KB, patch)
2021-03-11 09:23 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22544: Clarify documentation and change param 'type' to 'location' (7.44 KB, patch)
2021-03-11 09:23 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22544: Enhance exception description (946 bytes, patch)
2021-03-11 09:23 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22544: Add default language value to KohaNews template plugin (894 bytes, patch)
2021-03-11 09:23 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22544: Use template plugin for news author display (4.56 KB, patch)
2021-03-11 09:23 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22544: TT plugin should return hashref only if news exist (1.74 KB, patch)
2021-03-11 09:23 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22544: Fix OpacLoginInstructions (3.35 KB, patch)
2021-03-11 09:23 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22544: Restore newdate and timestamp for slip notices (1.11 KB, patch)
2021-03-11 09:23 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22544: fix count call - to squash (869 bytes, patch)
2021-03-11 09:23 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22544: Move get_opac_new to Koha namespace (5.67 KB, patch)
2021-05-03 09:53 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Move get_opac_news to Koha namespace (10.55 KB, patch)
2021-05-03 09:53 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Move del_opac_new to Koha namespace (1.59 KB, patch)
2021-05-03 09:53 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Move upd_opac_new to Koha namespace (4.02 KB, patch)
2021-05-03 09:53 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Move add_opac_item to Koha namespace (5.87 KB, patch)
2021-05-03 09:53 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Move GetNewsToDisplay to Koha namespace (18.96 KB, patch)
2021-05-03 09:53 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Add tests (9.19 KB, patch)
2021-05-03 09:53 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Refactor searching of news items (9.19 KB, patch)
2021-05-03 09:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: (QA follow-up) Fix spelling (3.35 KB, patch)
2021-05-03 09:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Update to current codebase (7.12 KB, patch)
2021-05-03 09:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Update search_for_display to be able to take more types (2.16 KB, patch)
2021-05-03 09:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Fix filtering by location on tools -> news management (1.14 KB, patch)
2021-05-03 09:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Clarify documentation and change param 'type' to 'location' (7.45 KB, patch)
2021-05-03 09:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Enhance exception description (948 bytes, patch)
2021-05-03 09:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Add default language value to KohaNews template plugin (896 bytes, patch)
2021-05-03 09:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Use template plugin for news author display (4.48 KB, patch)
2021-05-03 09:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: TT plugin should return hashref only if news exist (1.74 KB, patch)
2021-05-03 09:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Fix OpacLoginInstructions (2.96 KB, patch)
2021-05-03 09:55 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Restore newdate and timestamp for slip notices (1.12 KB, patch)
2021-05-03 09:55 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: fix count call - to squash (871 bytes, patch)
2021-05-03 09:55 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22544: Move get_opac_new to Koha namespace (5.76 KB, patch)
2021-06-25 07:04 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 22544: Move get_opac_news to Koha namespace (10.64 KB, patch)
2021-06-25 07:04 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 22544: Move del_opac_new to Koha namespace (2.01 KB, patch)
2021-06-25 07:04 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 22544: Move upd_opac_new to Koha namespace (4.29 KB, patch)
2021-06-25 07:05 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 22544: Move add_opac_item to Koha namespace (6.16 KB, patch)
2021-06-25 07:05 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 22544: Move GetNewsToDisplay to Koha namespace (19.08 KB, patch)
2021-06-25 07:05 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 22544: Add tests (9.28 KB, patch)
2021-06-25 07:05 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 22544: Refactor searching of news items (9.27 KB, patch)
2021-06-25 07:05 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 22544: (QA follow-up) Fix spelling (3.45 KB, patch)
2021-06-25 07:05 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 22544: Update to current codebase (7.20 KB, patch)
2021-06-25 07:05 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 22544: Update search_for_display to be able to take more types (2.26 KB, patch)
2021-06-25 07:05 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 22544: Fix filtering by location on tools -> news management (1.23 KB, patch)
2021-06-25 07:05 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 22544: Clarify documentation and change param 'type' to 'location' (7.54 KB, patch)
2021-06-25 07:05 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 22544: Enhance exception description (1.02 KB, patch)
2021-06-25 07:05 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 22544: Add default language value to KohaNews template plugin (992 bytes, patch)
2021-06-25 07:06 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 22544: Use template plugin for news author display (4.57 KB, patch)
2021-06-25 07:06 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 22544: TT plugin should return hashref only if news exist (1.84 KB, patch)
2021-06-25 07:06 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 22544: Fix OpacLoginInstructions (3.05 KB, patch)
2021-06-25 07:06 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 22544: Restore newdate and timestamp for slip notices (1.24 KB, patch)
2021-06-25 07:06 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 22544: fix count call - to squash (967 bytes, patch)
2021-06-25 07:06 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2019-03-20 07:44:11 UTC

    
Comment 1 Josef Moravec 2019-03-20 07:48:54 UTC Comment hidden (obsolete)
Comment 2 Josef Moravec 2019-03-20 07:48:57 UTC Comment hidden (obsolete)
Comment 3 Josef Moravec 2019-03-20 07:49:00 UTC Comment hidden (obsolete)
Comment 4 Josef Moravec 2019-03-20 07:49:02 UTC Comment hidden (obsolete)
Comment 5 Josef Moravec 2019-03-20 07:49:05 UTC Comment hidden (obsolete)
Comment 6 Josef Moravec 2019-03-20 07:49:08 UTC Comment hidden (obsolete)
Comment 7 Josef Moravec 2019-03-20 11:20:50 UTC Comment hidden (obsolete)
Comment 8 Josef Moravec 2019-03-20 11:20:52 UTC Comment hidden (obsolete)
Comment 9 Hayley Pelham 2019-05-27 01:05:52 UTC
Hi, patch doesn't apply:

Applying: Bug 22544: Move get_opac_new to Koha namespace
Applying: Bug 22544: Move get_opac_news to Koha namespace
Applying: Bug 22544: Move del_opac_new to Koha namespace
Applying: Bug 22544: Move upd_opac_new to Koha namespace
Applying: Bug 22544: Move add_opac_item to Koha namespace
Applying: Bug 22544: Move GetNewsToDisplay to Koha namespace
error: sha1 information is lacking or useless (koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-main.tt).
error: could not build fake ancestor
Patch failed at 0001 Bug 22544: Move GetNewsToDisplay to Koha namespace
Comment 10 Josef Moravec 2019-05-27 07:36:22 UTC Comment hidden (obsolete)
Comment 11 Josef Moravec 2019-05-27 07:36:25 UTC Comment hidden (obsolete)
Comment 12 Josef Moravec 2019-05-27 07:36:27 UTC Comment hidden (obsolete)
Comment 13 Josef Moravec 2019-05-27 07:36:30 UTC Comment hidden (obsolete)
Comment 14 Josef Moravec 2019-05-27 07:36:32 UTC Comment hidden (obsolete)
Comment 15 Josef Moravec 2019-05-27 07:36:35 UTC Comment hidden (obsolete)
Comment 16 Josef Moravec 2019-05-27 07:36:38 UTC Comment hidden (obsolete)
Comment 17 Josef Moravec 2019-05-27 07:36:41 UTC Comment hidden (obsolete)
Comment 18 Josef Moravec 2019-05-27 07:37:40 UTC
Rebased on master
Comment 19 Hayley Pelham 2019-05-27 21:31:52 UTC
Hi Josef,

Everything looks good for the test plan, except that when I get to run the test I get this error:

t/db_dependent/Koha/News.t .. 4/5 
    #   Failed test 'Active and not expired news'
    #   at t/db_dependent/Koha/News.t line 235.
    #          got: '0'
    #     expected: '4'
    # Looks like you planned 12 tests but ran 1.
    # Looks like you failed 1 test of 1 run.
t/db_dependent/Koha/News.t .. 5/5 
#   Failed test '->search_for_display'
#   at t/db_dependent/Koha/News.t line 270.
Can't call method "number" on an undefined value at t/db_dependent/Koha/News.t line 236.
# Looks like your test exited with 255 just after 5.
t/db_dependent/Koha/News.t .. Dubious, test returned 255 (wstat 65280, 0xff00)
Failed 1/5 subtests 

Test Summary Report
-------------------
t/db_dependent/Koha/News.t (Wstat: 65280 Tests: 5 Failed: 1)
  Failed test:  5
  Non-zero exit status: 255
Files=1, Tests=5,  6 wallclock secs ( 0.03 usr  0.01 sys +  3.92 cusr  0.82 csys =  4.78 CPU)
Result: FAIL

Please let me know if there's something I may have missed here!
Comment 20 Jonathan Druart 2019-08-05 14:35:26 UTC Comment hidden (obsolete)
Comment 21 Jonathan Druart 2019-08-05 14:35:33 UTC Comment hidden (obsolete)
Comment 22 Jonathan Druart 2019-08-05 14:35:40 UTC Comment hidden (obsolete)
Comment 23 Jonathan Druart 2019-08-05 14:35:46 UTC Comment hidden (obsolete)
Comment 24 Jonathan Druart 2019-08-05 14:35:52 UTC Comment hidden (obsolete)
Comment 25 Jonathan Druart 2019-08-05 14:35:59 UTC Comment hidden (obsolete)
Comment 26 Jonathan Druart 2019-08-05 14:36:06 UTC Comment hidden (obsolete)
Comment 27 Jonathan Druart 2019-08-05 14:36:13 UTC Comment hidden (obsolete)
Comment 28 David Nind 2019-09-30 19:18:32 UTC
Tested posting news items to librarian interface and the OPAC - can add news items without entering a position (before the patch was applied the news items just 'disappeared').

However, the news items don't display where they should - even after a flush_memcached and restart_all.

Tested on koha-testing-docker against latest master. Tested on Ubuntu 18.04 with latest Firefox and Google Chrome.
Comment 29 Jonathan Druart 2019-11-20 13:29:28 UTC Comment hidden (obsolete)
Comment 30 Jonathan Druart 2019-11-20 13:29:34 UTC Comment hidden (obsolete)
Comment 31 Jonathan Druart 2019-11-20 13:29:40 UTC Comment hidden (obsolete)
Comment 32 Jonathan Druart 2019-11-20 13:31:47 UTC
(In reply to David Nind from comment #28)
> However, the news items don't display where they should - even after a
> flush_memcached and restart_all.

Can you detail? I see the news on the intranet mainpage.

I did see a weird thing: "Lost connection to MySQL server during query" appeared in the logs and the news did not show up. Then I restart_all and everything went fine.
Comment 33 Jonathan Druart 2019-11-20 13:45:42 UTC
OPAC main page, I see: https://snipboard.io/CW4Bep.jpg

It does not appear without the patchset.
Comment 34 David Nind 2019-11-20 22:10:43 UTC Comment hidden (obsolete)
Comment 35 David Nind 2019-11-20 22:10:46 UTC Comment hidden (obsolete)
Comment 36 David Nind 2019-11-20 22:10:50 UTC Comment hidden (obsolete)
Comment 37 David Nind 2019-11-20 22:10:54 UTC Comment hidden (obsolete)
Comment 38 David Nind 2019-11-20 22:10:57 UTC Comment hidden (obsolete)
Comment 39 David Nind 2019-11-20 22:11:01 UTC Comment hidden (obsolete)
Comment 40 David Nind 2019-11-20 22:11:05 UTC Comment hidden (obsolete)
Comment 41 David Nind 2019-11-20 22:11:09 UTC Comment hidden (obsolete)
Comment 42 David Nind 2019-11-20 22:17:37 UTC
Hi Jonathan.

Figured out why the news items weren't displaying - I was picking today's date when adding, and my local machine time was ahead of koha-testing-docker. Changed date to an early one to resolve this.

The only thing I noticed was the filter for 'Display location'. If you select the Librarian Interface there are no results. However, this was happening before the patches were applied. I can create a new bug for this.

David
Comment 43 Katrin Fischer 2020-02-29 21:10:11 UTC
Patch no longer applies - please rebase!
Comment 44 Josef Moravec 2020-03-02 07:06:01 UTC Comment hidden (obsolete)
Comment 45 Josef Moravec 2020-03-02 07:06:05 UTC Comment hidden (obsolete)
Comment 46 Josef Moravec 2020-03-02 07:06:10 UTC Comment hidden (obsolete)
Comment 47 Josef Moravec 2020-03-02 07:06:14 UTC Comment hidden (obsolete)
Comment 48 Josef Moravec 2020-03-02 07:06:19 UTC Comment hidden (obsolete)
Comment 49 Josef Moravec 2020-03-02 07:06:24 UTC Comment hidden (obsolete)
Comment 50 Josef Moravec 2020-03-02 07:06:28 UTC Comment hidden (obsolete)
Comment 51 Josef Moravec 2020-03-02 07:06:33 UTC Comment hidden (obsolete)
Comment 52 Josef Moravec 2020-03-02 07:06:38 UTC Comment hidden (obsolete)
Comment 53 Josef Moravec 2020-03-02 07:07:46 UTC
(In reply to Katrin Fischer from comment #43)
> Patch no longer applies - please rebase!

Rebased on master. Thanks Katrin
Comment 54 Josef Moravec 2020-05-02 09:05:30 UTC Comment hidden (obsolete)
Comment 55 Josef Moravec 2020-05-02 09:05:35 UTC Comment hidden (obsolete)
Comment 56 Josef Moravec 2020-05-02 09:05:39 UTC Comment hidden (obsolete)
Comment 57 Josef Moravec 2020-05-02 09:05:43 UTC Comment hidden (obsolete)
Comment 58 Josef Moravec 2020-05-02 09:05:48 UTC Comment hidden (obsolete)
Comment 59 Josef Moravec 2020-05-02 09:05:52 UTC Comment hidden (obsolete)
Comment 60 Josef Moravec 2020-05-02 09:05:56 UTC Comment hidden (obsolete)
Comment 61 Josef Moravec 2020-05-02 09:06:00 UTC Comment hidden (obsolete)
Comment 62 Josef Moravec 2020-05-02 09:06:04 UTC Comment hidden (obsolete)
Comment 63 Josef Moravec 2020-05-02 09:06:26 UTC
Rebased on master
Comment 64 David Nind 2020-05-04 21:09:26 UTC
Changed status backed to signed off - patch now applies.
Comment 65 Martin Renvoize 2020-05-05 19:11:07 UTC
I've looked at this a fair bit the past couple of days, and it certainly does move us from C4 to Koha.. and does an amount of tidying..

However, I'm torn as I feel we could afford to go a fair bit further.  The field names are out right confusing and the logic is somewhat weird.

Are you intending on treating this as a first step Josef or was this as far as you intended going?

I think we've missed 20.05 now I'm afraid, but as we're moving lots of preferences over to this area perhaps it's time to focus on it more and further clean and improve both the db structure and logic early next release.?
Comment 66 Katrin Fischer 2020-07-06 22:45:01 UTC
(In reply to Martin Renvoize from comment #65)
> I've looked at this a fair bit the past couple of days, and it certainly
> does move us from C4 to Koha.. and does an amount of tidying..
> 
> However, I'm torn as I feel we could afford to go a fair bit further.  The
> field names are out right confusing and the logic is somewhat weird.
> 
> Are you intending on treating this as a first step Josef or was this as far
> as you intended going?
> 
> I think we've missed 20.05 now I'm afraid, but as we're moving lots of
> preferences over to this area perhaps it's time to focus on it more and
> further clean and improve both the db structure and logic early next
> release.?

Setting to Failed QA to trigger a comment from Josef :)
Comment 67 Josef Moravec 2020-10-01 05:12:07 UTC Comment hidden (obsolete)
Comment 68 Josef Moravec 2020-10-01 05:12:15 UTC Comment hidden (obsolete)
Comment 69 Josef Moravec 2020-10-01 05:12:22 UTC Comment hidden (obsolete)
Comment 70 Josef Moravec 2020-10-01 05:12:30 UTC Comment hidden (obsolete)
Comment 71 Josef Moravec 2020-10-01 05:12:36 UTC Comment hidden (obsolete)
Comment 72 Josef Moravec 2020-10-01 05:12:45 UTC Comment hidden (obsolete)
Comment 73 Josef Moravec 2020-10-01 05:12:51 UTC Comment hidden (obsolete)
Comment 74 Josef Moravec 2020-10-01 05:12:57 UTC Comment hidden (obsolete)
Comment 75 Josef Moravec 2020-10-01 05:13:04 UTC Comment hidden (obsolete)
Comment 76 Josef Moravec 2020-10-01 05:13:13 UTC Comment hidden (obsolete)
Comment 77 Josef Moravec 2020-10-01 05:13:20 UTC Comment hidden (obsolete)
Comment 78 Josef Moravec 2020-10-01 05:19:02 UTC
(In reply to Martin Renvoize from comment #65)
> I've looked at this a fair bit the past couple of days, and it certainly
> does move us from C4 to Koha.. and does an amount of tidying..
> 
> However, I'm torn as I feel we could afford to go a fair bit further.  The
> field names are out right confusing and the logic is somewhat weird.
> 
> Are you intending on treating this as a first step Josef or was this as far
> as you intended going?
> 
> I think we've missed 20.05 now I'm afraid, but as we're moving lots of
> preferences over to this area perhaps it's time to focus on it more and
> further clean and improve both the db structure and logic early next
> release.?

I rebased and fixed patchset on top of current master

There was a change in db structure that removed timestamp column and added updated_on and published_on columns, which is definitely great move...

The main problem now is the weird logic on 'lang' column... it is also used for location and language combinations... 

I would like to change this and add the new 'location' column - this could simplify the logic of searching for new and add more flexibility (we could differentiate between languages in news for slips based on patrons preferred language in the future... for example)
Comment 79 Josef Moravec 2020-10-01 05:39:55 UTC Comment hidden (obsolete)
Comment 80 Jonathan Druart 2020-11-11 08:53:22 UTC
Anyone interested in getting this into 21.05?

I would see it as a very first step to rebuild the "news" thing, and make it what it is now: an editor (and translation tool) for different Koha content.
Comment 81 Josef Moravec 2021-01-14 11:33:29 UTC Comment hidden (obsolete)
Comment 82 Josef Moravec 2021-01-14 11:33:34 UTC Comment hidden (obsolete)
Comment 83 Josef Moravec 2021-01-14 11:33:39 UTC Comment hidden (obsolete)
Comment 84 Josef Moravec 2021-01-14 11:33:44 UTC Comment hidden (obsolete)
Comment 85 Josef Moravec 2021-01-14 11:33:49 UTC Comment hidden (obsolete)
Comment 86 Josef Moravec 2021-01-14 11:33:54 UTC Comment hidden (obsolete)
Comment 87 Josef Moravec 2021-01-14 11:33:59 UTC Comment hidden (obsolete)
Comment 88 Josef Moravec 2021-01-14 11:34:04 UTC Comment hidden (obsolete)
Comment 89 Josef Moravec 2021-01-14 11:34:08 UTC Comment hidden (obsolete)
Comment 90 Josef Moravec 2021-01-14 11:34:15 UTC Comment hidden (obsolete)
Comment 91 Josef Moravec 2021-01-14 11:34:20 UTC Comment hidden (obsolete)
Comment 92 Josef Moravec 2021-01-14 11:34:24 UTC Comment hidden (obsolete)
Comment 93 Josef Moravec 2021-01-16 16:31:03 UTC Comment hidden (obsolete)
Comment 94 Josef Moravec 2021-01-16 16:42:31 UTC
I added bug 27451 for tracking lang field split. I do think we could try to test and merge this, before we can continue on following reports...
Comment 95 Katrin Fischer 2021-01-17 22:53:11 UTC
Hi Josef, 

trying to dive into this one here :) Could you please look at the comments before I continue testing?

1) QA Tools show one fail:

 FAIL	koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-main.tt
   FAIL	  valid_template
		The type and lang parameters combination is not valid

2) search_for_display

Trying to understand the code, I stumbled a bit on the POD for this one:

+=head3 search_for_display
+You can limit the results by type(lang) and library by optional params

I am not sure I follow you here (type(lang)?) - maybe you changed the signature of the method after this was written?

+
+library_id should be valid branchcode of defined library
+
+type is one of this:
+- slip - for ISSUESLIP notice
+- koha - for intranet

I think "koha" is not good for intranet, I think useing "intranet" or "staff" instead, would be better.

+- opac - for online catalogue
+- OpacNavRight - Right column in the online catalogue
+- OpacLoginInstructions
+- OpacMainUserBlock
+- OpacCustomSearch
+- opacheader
+- opaccredits

+lang is language code - it is used only when type is opac or OpacNavRight

For future enh: I think once we have an "all languages" selection we should enable lang for the staff interface as well (I filed bug 27459)

I guess the other prefs hadn't been migrated yet when this comment was written.

3) koha-news.tt

+                                    Librarian interface (koha)

I'd like to see the (koha) removed here again - both the OPAC and staff interface are Koha. My suggestion would be to change "Librarian interface" to "Staff interface" as this is the standard terminology we have agreed to.

4) html_helpers.inc

I like the use of the patron-title.inc here - maybe we should use it in koha-news.tt too? 
I am not sure about the hide_patron_infos_if_needed=1. I think we should only apply the NewsAuthorDisplay here, the difference being that these are staff users, not library patrons.

-                            <td>[% opac_new.author_title | html %] [% opac_new.author_firstname | html %] [% opac_new.author_surname | html %]</td>
+                            <td>[% IF ( opac_new.author) %][% INCLUDE 'patron-title.inc' patron=opac_new.author hide_patron_infos_if_needed=1 %][% END %]</td>
Comment 96 Katrin Fischer 2021-01-17 22:56:59 UTC
(In reply to Josef Moravec from comment #94)
> I added bug 27451 for tracking lang field split. I do think we could try to
> test and merge this, before we can continue on following reports...

I am with you there, I think we could start with this one and will have an easier time adding more onto it later. 

@Martin - could you be a bit more specific about the things you were worrying about in comment#65? Would bug 27451 go in the right direction as a next step for you?
Comment 97 Josef Moravec 2021-01-19 08:42:27 UTC
(In reply to Katrin Fischer from comment #95)
> Hi Josef, 
> 
> trying to dive into this one here :) Could you please look at the comments
> before I continue testing?
> 
> 1) QA Tools show one fail:
> 
>  FAIL	koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-main.tt
>    FAIL	  valid_template
> 		The type and lang parameters combination is not valid

I'll fix it

> 
> 2) search_for_display
> 
> Trying to understand the code, I stumbled a bit on the POD for this one:
> 
> +=head3 search_for_display
> +You can limit the results by type(lang) and library by optional params
> 
> I am not sure I follow you here (type(lang)?) - maybe you changed the
> signature of the method after this was written?
> 

I will polish the pod in follow-up patch

> +
> +library_id should be valid branchcode of defined library
> +
> +type is one of this:
> +- slip - for ISSUESLIP notice
> +- koha - for intranet
> 
> I think "koha" is not good for intranet, I think useing "intranet" or
> "staff" instead, would be better.

I will do that on (or after) bug 27451, 'koha' string is saved in BD, so it makes sense to change it in DB not only in UI (in it would be easier)

> 
> +- opac - for online catalogue
> +- OpacNavRight - Right column in the online catalogue
> +- OpacLoginInstructions
> +- OpacMainUserBlock
> +- OpacCustomSearch
> +- opacheader
> +- opaccredits
> 
> +lang is language code - it is used only when type is opac or OpacNavRight
> 
> For future enh: I think once we have an "all languages" selection we should
> enable lang for the staff interface as well (I filed bug 27459)

Absolutely agree

> 
> I guess the other prefs hadn't been migrated yet when this comment was
> written.

True, I'll fix pod

> 
> 3) koha-news.tt
> 
> +                                    Librarian interface (koha)
> 
> I'd like to see the (koha) removed here again - both the OPAC and staff
> interface are Koha. My suggestion would be to change "Librarian interface"
> to "Staff interface" as this is the standard terminology we have agreed to.

Will do after/on bug 27451

> 
> 4) html_helpers.inc
> 
> I like the use of the patron-title.inc here - maybe we should use it in
> koha-news.tt too? 
> I am not sure about the hide_patron_infos_if_needed=1. I think we should
> only apply the NewsAuthorDisplay here, the difference being that these are
> staff users, not library patrons.
> 
> -                            <td>[% opac_new.author_title | html %] [%
> opac_new.author_firstname | html %] [% opac_new.author_surname | html %]</td>
> +                            <td>[% IF ( opac_new.author) %][% INCLUDE
> 'patron-title.inc' patron=opac_new.author hide_patron_infos_if_needed=1 %][%
> END %]</td>

Does make sense, I'll change it
Comment 98 Josef Moravec 2021-01-19 08:45:28 UTC Comment hidden (obsolete)
Comment 99 Josef Moravec 2021-01-19 08:45:34 UTC Comment hidden (obsolete)
Comment 100 Josef Moravec 2021-01-19 08:45:40 UTC Comment hidden (obsolete)
Comment 101 Josef Moravec 2021-01-19 08:45:46 UTC Comment hidden (obsolete)
Comment 102 Josef Moravec 2021-01-19 08:51:15 UTC
I think it is ready for next round
Comment 103 Jonathan Druart 2021-01-29 09:28:19 UTC
(In reply to Jonathan Druart from comment #33)
> OPAC main page, I see: https://snipboard.io/CW4Bep.jpg
> 
> It does not appear without the patchset.

This is still valid.
Worst, the header search is missing: https://snipboard.io/P4XI0L.jpg
Comment 104 Jonathan Druart 2021-01-29 09:37:39 UTC
1. cf last comment

2. -            $_->{'timestamp'} = $_->{'newdate'};
you are loosing the ability to use "timestamp" in the the letter

3. +            my $all = $n->unblessed_all_relateds;
you should not use unblessed_all_relateds.
Here we need the attributes of the news and the patron's info. We could built it easily before passing it to the letter.

4. 
+    $search_params->{published_on} = { '<=' => \'NOW()' };
+    $search_params->{-or} = [ expirationdate => { '>=' => \'NOW()' },

use dt_from_string instead of NOW

5. 
 sub author {
     my ( $self ) = @_;
-    return Koha::Patron->_new_from_dbic($self->_result->borrowernumber);
+    my $author_rs = $self->_result->borrowernumber;
+    return unless $author_rs;
+    return Koha::Patron->_new_from_dbic( $author_rs );
 }

This is actually a bugfix that could go on its own bug report.
Comment 105 Jonathan Druart 2021-02-17 11:07:24 UTC Comment hidden (obsolete)
Comment 106 Jonathan Druart 2021-02-17 11:07:28 UTC Comment hidden (obsolete)
Comment 107 Jonathan Druart 2021-02-17 11:07:32 UTC Comment hidden (obsolete)
Comment 108 Jonathan Druart 2021-02-17 11:08:23 UTC
(In reply to Jonathan Druart from comment #104)
> 1. cf last comment

Done.

> 2. -            $_->{'timestamp'} = $_->{'newdate'};
> you are loosing the ability to use "timestamp" in the the letter

Done.

> 3. +            my $all = $n->unblessed_all_relateds;
> you should not use unblessed_all_relateds.
> Here we need the attributes of the news and the patron's info. We could
> built it easily before passing it to the letter.

Done.

> 4. 
> +    $search_params->{published_on} = { '<=' => \'NOW()' };
> +    $search_params->{-or} = [ expirationdate => { '>=' => \'NOW()' },
> 
> use dt_from_string instead of NOW

Not done, this was not valid, we can use NOW.

> 5. 
>  sub author {
>      my ( $self ) = @_;
> -    return Koha::Patron->_new_from_dbic($self->_result->borrowernumber);
> +    my $author_rs = $self->_result->borrowernumber;
> +    return unless $author_rs;
> +    return Koha::Patron->_new_from_dbic( $author_rs );
>  }
> 
> This is actually a bugfix that could go on its own bug report.

Done, see bug 27714.
Comment 109 Jonathan Druart 2021-03-02 09:51:10 UTC Comment hidden (obsolete)
Comment 110 Jonathan Druart 2021-03-02 09:51:15 UTC Comment hidden (obsolete)
Comment 111 Jonathan Druart 2021-03-02 09:51:19 UTC Comment hidden (obsolete)
Comment 112 Jonathan Druart 2021-03-02 09:51:24 UTC Comment hidden (obsolete)
Comment 113 Jonathan Druart 2021-03-02 09:51:28 UTC Comment hidden (obsolete)
Comment 114 Jonathan Druart 2021-03-02 09:51:33 UTC Comment hidden (obsolete)
Comment 115 Jonathan Druart 2021-03-02 09:51:37 UTC Comment hidden (obsolete)
Comment 116 Jonathan Druart 2021-03-02 09:51:41 UTC Comment hidden (obsolete)
Comment 117 Jonathan Druart 2021-03-02 09:51:45 UTC Comment hidden (obsolete)
Comment 118 Jonathan Druart 2021-03-02 09:51:49 UTC Comment hidden (obsolete)
Comment 119 Jonathan Druart 2021-03-02 09:51:54 UTC Comment hidden (obsolete)
Comment 120 Jonathan Druart 2021-03-02 09:51:58 UTC Comment hidden (obsolete)
Comment 121 Jonathan Druart 2021-03-02 09:52:02 UTC Comment hidden (obsolete)
Comment 122 Jonathan Druart 2021-03-02 09:52:07 UTC Comment hidden (obsolete)
Comment 123 Jonathan Druart 2021-03-02 09:52:11 UTC Comment hidden (obsolete)
Comment 124 Jonathan Druart 2021-03-02 09:52:15 UTC Comment hidden (obsolete)
Comment 125 Jonathan Druart 2021-03-02 09:52:19 UTC Comment hidden (obsolete)
Comment 126 Jonathan Druart 2021-03-02 09:52:23 UTC Comment hidden (obsolete)
Comment 127 Jonathan Druart 2021-03-02 09:52:28 UTC Comment hidden (obsolete)
Comment 128 Martin Renvoize 2021-03-10 17:03:00 UTC
Sorry.. needs another rebase :(
Comment 129 Jonathan Druart 2021-03-10 17:12:13 UTC Comment hidden (obsolete)
Comment 130 Jonathan Druart 2021-03-10 17:12:19 UTC Comment hidden (obsolete)
Comment 131 Jonathan Druart 2021-03-10 17:12:24 UTC Comment hidden (obsolete)
Comment 132 Jonathan Druart 2021-03-10 17:12:29 UTC Comment hidden (obsolete)
Comment 133 Jonathan Druart 2021-03-10 17:12:33 UTC Comment hidden (obsolete)
Comment 134 Jonathan Druart 2021-03-10 17:12:39 UTC Comment hidden (obsolete)
Comment 135 Jonathan Druart 2021-03-10 17:12:44 UTC Comment hidden (obsolete)
Comment 136 Jonathan Druart 2021-03-10 17:12:49 UTC Comment hidden (obsolete)
Comment 137 Jonathan Druart 2021-03-10 17:12:54 UTC Comment hidden (obsolete)
Comment 138 Jonathan Druart 2021-03-10 17:12:59 UTC Comment hidden (obsolete)
Comment 139 Jonathan Druart 2021-03-10 17:13:05 UTC Comment hidden (obsolete)
Comment 140 Jonathan Druart 2021-03-10 17:13:10 UTC Comment hidden (obsolete)
Comment 141 Jonathan Druart 2021-03-10 17:13:16 UTC Comment hidden (obsolete)
Comment 142 Jonathan Druart 2021-03-10 17:13:21 UTC
Created attachment 118067 [details] [review]
Bug 22544: Enhance exception description
Comment 143 Jonathan Druart 2021-03-10 17:13:26 UTC Comment hidden (obsolete)
Comment 144 Jonathan Druart 2021-03-10 17:13:31 UTC Comment hidden (obsolete)
Comment 145 Jonathan Druart 2021-03-10 17:13:36 UTC Comment hidden (obsolete)
Comment 146 Jonathan Druart 2021-03-10 17:13:41 UTC Comment hidden (obsolete)
Comment 147 Jonathan Druart 2021-03-10 17:13:46 UTC Comment hidden (obsolete)
Comment 148 Jonathan Druart 2021-03-10 17:13:53 UTC Comment hidden (obsolete)
Comment 149 Martin Renvoize 2021-03-11 09:22:19 UTC
Created attachment 118087 [details] [review]
Bug 22544: Move get_opac_new to Koha namespace

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 150 Martin Renvoize 2021-03-11 09:22:24 UTC
Created attachment 118088 [details] [review]
Bug 22544: Move get_opac_news to Koha namespace

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 151 Martin Renvoize 2021-03-11 09:22:28 UTC
Created attachment 118089 [details] [review]
Bug 22544: Move del_opac_new to Koha namespace

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 152 Martin Renvoize 2021-03-11 09:22:32 UTC
Created attachment 118090 [details] [review]
Bug 22544: Move upd_opac_new to Koha namespace

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 153 Martin Renvoize 2021-03-11 09:22:37 UTC
Created attachment 118091 [details] [review]
Bug 22544: Move add_opac_item to Koha namespace

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 154 Martin Renvoize 2021-03-11 09:22:41 UTC
Created attachment 118092 [details] [review]
Bug 22544: Move GetNewsToDisplay to Koha namespace

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 155 Martin Renvoize 2021-03-11 09:22:45 UTC
Created attachment 118093 [details] [review]
Bug 22544: Add tests

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 156 Martin Renvoize 2021-03-11 09:22:50 UTC
Created attachment 118094 [details] [review]
Bug 22544: Refactor searching of news items

Test plan:
1) Go to tools and define some news
2) Try different parameters, try to edit new items, and delete some
3) Go to all places where news are presented and ensure that there are
the right ones shown:
    opac main page - based on language
    opac righ column (formerly syspref OpacNavRight) - based on language
    opac news rss feed
    circulation slip (not quick slip)
    intranet main page
4) run tests:
prove t/db_dependent/Koha/News.t

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 157 Martin Renvoize 2021-03-11 09:22:54 UTC
Created attachment 118095 [details] [review]
Bug 22544: (QA follow-up) Fix spelling

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 158 Martin Renvoize 2021-03-11 09:22:58 UTC
Created attachment 118096 [details] [review]
Bug 22544: Update to current codebase

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 159 Martin Renvoize 2021-03-11 09:23:03 UTC
Created attachment 118097 [details] [review]
Bug 22544: Update search_for_display to be able to take more types

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 160 Martin Renvoize 2021-03-11 09:23:07 UTC
Created attachment 118098 [details] [review]
Bug 22544: Fix filtering by location on tools -> news management

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 161 Martin Renvoize 2021-03-11 09:23:11 UTC
Created attachment 118099 [details] [review]
Bug 22544: Clarify documentation and change param 'type' to 'location'

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 162 Martin Renvoize 2021-03-11 09:23:16 UTC
Created attachment 118100 [details] [review]
Bug 22544: Enhance exception description

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 163 Martin Renvoize 2021-03-11 09:23:21 UTC
Created attachment 118101 [details] [review]
Bug 22544: Add default language value to KohaNews template plugin

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 164 Martin Renvoize 2021-03-11 09:23:25 UTC
Created attachment 118102 [details] [review]
Bug 22544: Use template plugin for news author display

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 165 Martin Renvoize 2021-03-11 09:23:29 UTC
Created attachment 118103 [details] [review]
Bug 22544: TT plugin should return hashref only if news exist

It restore the header and fix the RSS feeds (see comment 103)

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 166 Martin Renvoize 2021-03-11 09:23:34 UTC
Created attachment 118104 [details] [review]
Bug 22544: Fix OpacLoginInstructions

Moved recently

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 167 Martin Renvoize 2021-03-11 09:23:38 UTC
Created attachment 118105 [details] [review]
Bug 22544: Restore newdate and timestamp for slip notices

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 168 Martin Renvoize 2021-03-11 09:23:43 UTC
Created attachment 118106 [details] [review]
Bug 22544: fix count call - to squash

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 169 Martin Renvoize 2021-03-11 09:26:12 UTC
This all appears to work as I expect.. I've tried a number of different blocks in a few different translations.

I think it's a good start... signing off
Comment 170 Katrin Fischer 2021-04-17 15:09:31 UTC
Can we please have a rebase?

Apply? [(y)es, (n)o, (i)nteractive] <
Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 22544: Move get_opac_new to Koha namespace
Applying: Bug 22544: Move get_opac_news to Koha namespace
Using index info to reconstruct a base tree...
M	koha-tmpl/intranet-tmpl/prog/en/modules/tools/koha-news.tt
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/tools/koha-news.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/tools/koha-news.tt
Comment 171 Jonathan Druart 2021-05-03 09:53:19 UTC
Created attachment 120377 [details] [review]
Bug 22544: Move get_opac_new to Koha namespace

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 172 Jonathan Druart 2021-05-03 09:53:26 UTC
Created attachment 120378 [details] [review]
Bug 22544: Move get_opac_news to Koha namespace

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 173 Jonathan Druart 2021-05-03 09:53:32 UTC
Created attachment 120379 [details] [review]
Bug 22544: Move del_opac_new to Koha namespace

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 174 Jonathan Druart 2021-05-03 09:53:38 UTC
Created attachment 120380 [details] [review]
Bug 22544: Move upd_opac_new to Koha namespace

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 175 Jonathan Druart 2021-05-03 09:53:44 UTC
Created attachment 120381 [details] [review]
Bug 22544: Move add_opac_item to Koha namespace

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 176 Jonathan Druart 2021-05-03 09:53:50 UTC
Created attachment 120382 [details] [review]
Bug 22544: Move GetNewsToDisplay to Koha namespace

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 177 Jonathan Druart 2021-05-03 09:53:56 UTC
Created attachment 120383 [details] [review]
Bug 22544: Add tests

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 178 Jonathan Druart 2021-05-03 09:54:02 UTC
Created attachment 120384 [details] [review]
Bug 22544: Refactor searching of news items

Test plan:
1) Go to tools and define some news
2) Try different parameters, try to edit new items, and delete some
3) Go to all places where news are presented and ensure that there are
the right ones shown:
    opac main page - based on language
    opac righ column (formerly syspref OpacNavRight) - based on language
    opac news rss feed
    circulation slip (not quick slip)
    intranet main page
4) run tests:
prove t/db_dependent/Koha/News.t

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 179 Jonathan Druart 2021-05-03 09:54:08 UTC
Created attachment 120385 [details] [review]
Bug 22544: (QA follow-up) Fix spelling

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 180 Jonathan Druart 2021-05-03 09:54:13 UTC
Created attachment 120386 [details] [review]
Bug 22544: Update to current codebase

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 181 Jonathan Druart 2021-05-03 09:54:19 UTC
Created attachment 120387 [details] [review]
Bug 22544: Update search_for_display to be able to take more types

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 182 Jonathan Druart 2021-05-03 09:54:25 UTC
Created attachment 120388 [details] [review]
Bug 22544: Fix filtering by location on tools -> news management

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 183 Jonathan Druart 2021-05-03 09:54:31 UTC
Created attachment 120389 [details] [review]
Bug 22544: Clarify documentation and change param 'type' to 'location'

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 184 Jonathan Druart 2021-05-03 09:54:37 UTC
Created attachment 120390 [details] [review]
Bug 22544: Enhance exception description

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 185 Jonathan Druart 2021-05-03 09:54:44 UTC
Created attachment 120391 [details] [review]
Bug 22544: Add default language value to KohaNews template plugin

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 186 Jonathan Druart 2021-05-03 09:54:51 UTC
Created attachment 120392 [details] [review]
Bug 22544: Use template plugin for news author display

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 187 Jonathan Druart 2021-05-03 09:54:58 UTC
Created attachment 120393 [details] [review]
Bug 22544: TT plugin should return hashref only if news exist

It restore the header and fix the RSS feeds (see comment 103)

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 188 Jonathan Druart 2021-05-03 09:55:05 UTC
Created attachment 120394 [details] [review]
Bug 22544: Fix OpacLoginInstructions

Moved recently

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 189 Jonathan Druart 2021-05-03 09:55:11 UTC
Created attachment 120395 [details] [review]
Bug 22544: Restore newdate and timestamp for slip notices

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 190 Jonathan Druart 2021-05-03 09:55:17 UTC
Created attachment 120396 [details] [review]
Bug 22544: fix count call - to squash

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 191 Marcel de Rooy 2021-06-25 06:26:29 UTC
QA: Looking here
Comment 192 Marcel de Rooy 2021-06-25 06:27:48 UTC
+                            <td data-order="[% opac_new.timestamp | html %]">[% opac_new.timestamp | $KohaDates %]</td>

We removed timestamp from opac_news on bug 21066. Familiar author?
Comment 193 Marcel de Rooy 2021-06-25 06:45:58 UTC
Subject: [PATCH 18/20] Bug 22544: Fix OpacLoginInstructions

What does this patch actually fix ?

-                                [% IF ( OpacLoginInstructions ) %]
+                                [% IF OpacLoginInstructions %]
Comment 194 Marcel de Rooy 2021-06-25 06:46:53 UTC
+            my $published_on_dt = output_pref({ dt => dt_from_string( $all->{pubished_on} ), dateonly => 1 });

Will amend the patch now.
Comment 195 Marcel de Rooy 2021-06-25 07:04:46 UTC
Created attachment 122396 [details] [review]
Bug 22544: Move get_opac_new to Koha namespace

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 196 Marcel de Rooy 2021-06-25 07:04:52 UTC
Created attachment 122397 [details] [review]
Bug 22544: Move get_opac_news to Koha namespace

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 197 Marcel de Rooy 2021-06-25 07:04:57 UTC
Created attachment 122398 [details] [review]
Bug 22544: Move del_opac_new to Koha namespace

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 198 Marcel de Rooy 2021-06-25 07:05:03 UTC
Created attachment 122399 [details] [review]
Bug 22544: Move upd_opac_new to Koha namespace

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 199 Marcel de Rooy 2021-06-25 07:05:09 UTC
Created attachment 122400 [details] [review]
Bug 22544: Move add_opac_item to Koha namespace

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 200 Marcel de Rooy 2021-06-25 07:05:14 UTC
Created attachment 122401 [details] [review]
Bug 22544: Move GetNewsToDisplay to Koha namespace

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 201 Marcel de Rooy 2021-06-25 07:05:20 UTC
Created attachment 122402 [details] [review]
Bug 22544: Add tests

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 202 Marcel de Rooy 2021-06-25 07:05:25 UTC
Created attachment 122403 [details] [review]
Bug 22544: Refactor searching of news items

Test plan:
1) Go to tools and define some news
2) Try different parameters, try to edit new items, and delete some
3) Go to all places where news are presented and ensure that there are
the right ones shown:
    opac main page - based on language
    opac righ column (formerly syspref OpacNavRight) - based on language
    opac news rss feed
    circulation slip (not quick slip)
    intranet main page
4) run tests:
prove t/db_dependent/Koha/News.t

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 203 Marcel de Rooy 2021-06-25 07:05:30 UTC
Created attachment 122404 [details] [review]
Bug 22544: (QA follow-up) Fix spelling

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 204 Marcel de Rooy 2021-06-25 07:05:36 UTC
Created attachment 122405 [details] [review]
Bug 22544: Update to current codebase

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 205 Marcel de Rooy 2021-06-25 07:05:41 UTC
Created attachment 122406 [details] [review]
Bug 22544: Update search_for_display to be able to take more types

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 206 Marcel de Rooy 2021-06-25 07:05:46 UTC
Created attachment 122407 [details] [review]
Bug 22544: Fix filtering by location on tools -> news management

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 207 Marcel de Rooy 2021-06-25 07:05:52 UTC
Created attachment 122408 [details] [review]
Bug 22544: Clarify documentation and change param 'type' to 'location'

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 208 Marcel de Rooy 2021-06-25 07:05:57 UTC
Created attachment 122409 [details] [review]
Bug 22544: Enhance exception description

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 209 Marcel de Rooy 2021-06-25 07:06:03 UTC
Created attachment 122410 [details] [review]
Bug 22544: Add default language value to KohaNews template plugin

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 210 Marcel de Rooy 2021-06-25 07:06:08 UTC
Created attachment 122411 [details] [review]
Bug 22544: Use template plugin for news author display

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 211 Marcel de Rooy 2021-06-25 07:06:13 UTC
Created attachment 122412 [details] [review]
Bug 22544: TT plugin should return hashref only if news exist

It restore the header and fix the RSS feeds (see comment 103)

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 212 Marcel de Rooy 2021-06-25 07:06:19 UTC
Created attachment 122413 [details] [review]
Bug 22544: Fix OpacLoginInstructions

Moved recently

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 213 Marcel de Rooy 2021-06-25 07:06:24 UTC
Created attachment 122414 [details] [review]
Bug 22544: Restore newdate and timestamp for slip notices

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
[EDIT] Fixed typo pubished_on
Comment 214 Marcel de Rooy 2021-06-25 07:06:29 UTC
Created attachment 122415 [details] [review]
Bug 22544: fix count call - to squash

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 215 Marcel de Rooy 2021-06-25 07:07:08 UTC
Great work !
Comment 216 Jonathan Druart 2021-06-25 07:35:35 UTC
(In reply to Marcel de Rooy from comment #193)
> Subject: [PATCH 18/20] Bug 22544: Fix OpacLoginInstructions
> 
> What does this patch actually fix ?
> 
> -                                [% IF ( OpacLoginInstructions ) %]
> +                                [% IF OpacLoginInstructions %]

Nothing, it should be skipped.
It has been fixed in the meanwhile by
  commit c45d15e231efd11d5f19f3a1186013daef19d300
  Bug 28193: (follow-up) Correct OpacLoginInstructions in login modal
Comment 217 Katrin Fischer 2021-06-26 11:05:55 UTC
Thx, Marcel. Quite happy to see this one move forward.
Comment 218 Jonathan Druart 2021-07-06 13:40:09 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 219 Kyle M Hall 2021-07-09 17:58:06 UTC
Enhancement not backported to 21.05
Comment 220 Lucas Gass 2021-07-15 22:25:22 UTC
I think this patch set may have inadvertently broke logging of news items which was add in Bug 26205.